org.richfaces.renderkit

## Class TabPanelRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.TabPanelRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    TabPanelRenderer

      public class TabPanelRendererBase
      extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

  Author:
    Nick Belaevski - nbelaevski@exadel.com created 12.01.2007

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `TabPanelRendererBase.TabsIteratorHelper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACTIVE_CELL_CLASSES`
    `static java.lang.String` | `DISABLED_CELL_CLASSES`
    `static java.lang.String` | `INACTIVE_CELL_CLASSES`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabPanelRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `java.lang.String` | `encodeHeaderSpacing(javax.faces.context.FacesContext context, UITabPanel pane)`
    `static java.lang.String` | `encodeStyles(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeTabPanelScript(javax.faces.context.FacesContext context, UITabPanel pane)`
    `void` | `encodeTabs(javax.faces.context.FacesContext context, UITabPanel tabPanel)`
    `void` | `encodeTabsScript(javax.faces.context.FacesContext context, UITabPanel pane)` Encode JavaScript function for switch tabs.
    `static java.lang.String` | `getActiveTabCellClass(UITab tab)`
    `static java.lang.String` | `getActiveTabClass(UITab tab)`
    `protected java.lang.Class` | `getComponentClass()`
    `static java.lang.String` | `getDisabledTabCellClass(UITab tab)`
    `static java.lang.String` | `getDisabledTabClass(UITab tab)`
    `static java.lang.String` | `getInactiveTabCellClass(UITab tab)`
    `static java.lang.String` | `getInactiveTabClass(UITab tab)`
    `protected TabInfoCollector` | `getTabInfoCollector()`
    `protected TabPanelInfoCollector` | `getTabPanelInfoCollector()`
    `protected java.lang.String` | `getValueAsString(javax.faces.context.FacesContext context, UITabPanel tabPanel)`
    `protected static boolean` | `parameterPresent(java.lang.String style, java.lang.String name)`
    `protected void` | `preEncodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTIVE_CELL_CLASSES

          public static final java.lang.String ACTIVE_CELL_CLASSES

      See Also:
        Constant Field Values

    - #### INACTIVE_CELL_CLASSES

          public static final java.lang.String INACTIVE_CELL_CLASSES

      See Also:
        Constant Field Values

    - #### DISABLED_CELL_CLASSES

          public static final java.lang.String DISABLED_CELL_CLASSES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TabPanelRendererBase

          public TabPanelRendererBase()

  - ### Method Detail

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### encodeStyles

          public static java.lang.String encodeStyles(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component)
                                               throws java.io.IOException

      Parameters:
        `context` -
        `component` -
      Returns:
      Throws:
        `java.io.IOException`

    - #### parameterPresent

          protected static boolean parameterPresent(java.lang.String style,
                                 java.lang.String name)

      Parameters:
        `style` -
        `name` -
      Returns:

    - #### getValueAsString

          protected java.lang.String getValueAsString(javax.faces.context.FacesContext context,
                                          UITabPanel tabPanel)

    - #### preEncodeBegin

          protected void preEncodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                                 throws java.io.IOException

      Overrides:
        `preEncodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### encodeTabs

          public void encodeTabs(javax.faces.context.FacesContext context,
                        UITabPanel tabPanel)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getActiveTabCellClass

          public static java.lang.String getActiveTabCellClass(UITab tab)

    - #### getDisabledTabCellClass

          public static java.lang.String getDisabledTabCellClass(UITab tab)

    - #### getInactiveTabCellClass

          public static java.lang.String getInactiveTabCellClass(UITab tab)

    - #### getActiveTabClass

          public static java.lang.String getActiveTabClass(UITab tab)

    - #### getDisabledTabClass

          public static java.lang.String getDisabledTabClass(UITab tab)

    - #### getInactiveTabClass

          public static java.lang.String getInactiveTabClass(UITab tab)

    - #### encodeTabsScript

          public void encodeTabsScript(javax.faces.context.FacesContext context,
                              UITabPanel pane)
                                throws java.io.IOException

      Encode JavaScript function for switch tabs.
      Parameters:
        `context` -
      Throws:
        `java.io.IOException`

    - #### encodeTabPanelScript

          public void encodeTabPanelScript(javax.faces.context.FacesContext context,
                                  UITabPanel pane)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getTabInfoCollector

          protected TabInfoCollector getTabInfoCollector()

    - #### getTabPanelInfoCollector

          protected TabPanelInfoCollector getTabPanelInfoCollector()

    - #### encodeHeaderSpacing

          public java.lang.String encodeHeaderSpacing(javax.faces.context.FacesContext context,
                                             UITabPanel pane)
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2013. All Rights Reserved.